=============
API Reference
=============

This page summarizes the rest of the public API. Generally speaking this
should mainly of interest to plugin developers.

ocrmypdf
========

.. autoclass:: ocrmypdf.PageContext
    :members:

.. autoclass:: ocrmypdf.PdfContext
    :members:

ocrmypdf.exceptions
===================

.. automodule:: ocrmypdf.exceptions
    :members:
    :undoc-members:

ocrmypdf.helpers
================

.. automodule:: ocrmypdf.helpers
    :members:
    :noindex: deprecated

    .. autodecorator:: deprecated

ocrmypdf.hocrtransform
======================

.. automodule:: ocrmypdf.hocrtransform
    :members:

ocrmypdf.pdfa
=============

.. automodule:: ocrmypdf.pdfa
    :members:

ocrmypdf.quality
================

.. automodule:: ocrmypdf.quality
    :members:

ocrmypdf.subprocess
===================

.. automodule:: ocrmypdf.subprocess
    :members:
